Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SlamPercept Class Reference

`#include <SlamPercept.h>`

Collaboration diagram for SlamPercept:

[legend]
List of all members.

## Public Types
enum | SlamState { SlamStart, DebugJustLearn, DebugJustRecognize, LocalizeWithFlags, LearnNewFlags, LocalizeUsingNewFlags, UseNewFlags, EvaluatePosition, numOfSlamStates }
enum | SelfLocatorLearnMode { evaluatePosition, runWithKnownDirection }
## Public Member Functions
| SlamPercept ()
## Static Public Member Functions
char * | getSlamStateName (SlamPercept::SlamState state)
## Public Attributes
SlamFlagLocator | flagLocator
SlamState | slamState
double | viewAngle
| The estimated viewing angle in field coords.
bool | viewAngleValid
| Tells the self locator if the view angle is valid.
ImageCharacteristic | imageCharacteristic
bool | turnFinished
CenterCircleInformation | centerCircleInformation
GreenLocation | greenLocation
WLanBearing | wlanBearing
double | GPVal
PositionElement | testPoints [4]
bool | testPointsMeasured
SelfLocatorLearnMode | slLearnMode
Vector3< double > | currentMeasurement

## Member Enumeration Documentation

enum SlamPercept::SlamState

  | Enumeration values:
  SlamStart |
  DebugJustLearn |
  DebugJustRecognize |
  LocalizeWithFlags |
  LearnNewFlags |
  LocalizeUsingNewFlags |
  UseNewFlags |
  EvaluatePosition |
  numOfSlamStates |
Definition at line 76 of file SlamPercept.h.

enum SlamPercept::SelfLocatorLearnMode

  | Enumeration values:
  evaluatePosition |
  runWithKnownDirection |
Definition at line 130 of file SlamPercept.h.

## Constructor & Destructor Documentation

SlamPercept::SlamPercept | ( |  | ) | `[inline]`

| Definition at line 71 of file SlamPercept.h. References centerCircleInformation, and CenterCircleInformation::centerCircleIsVisible.

## Member Function Documentation

char* SlamPercept::getSlamStateName | ( | SlamPercept::SlamState | state | ) | `[inline, static]`

| Definition at line 100 of file SlamPercept.h. References DebugJustLearn, DebugJustRecognize, LearnNewFlags, LocalizeUsingNewFlags, LocalizeWithFlags, SlamStart, and UseNewFlags.

## Member Data Documentation

SlamFlagLocator SlamPercept::flagLocator

| Definition at line 89 of file SlamPercept.h.

SlamState SlamPercept::slamState`[mutable]`

| Definition at line 91 of file SlamPercept.h.

double SlamPercept::viewAngle

| The estimated viewing angle in field coords. Definition at line 93 of file SlamPercept.h.

bool SlamPercept::viewAngleValid

| Tells the self locator if the view angle is valid. Definition at line 94 of file SlamPercept.h.

ImageCharacteristic SlamPercept::imageCharacteristic

| Definition at line 96 of file SlamPercept.h.

bool SlamPercept::turnFinished

| Definition at line 98 of file SlamPercept.h.

CenterCircleInformation SlamPercept::centerCircleInformation

| Definition at line 115 of file SlamPercept.h. Referenced by SlamPercept().

GreenLocation SlamPercept::greenLocation

| Definition at line 117 of file SlamPercept.h.

WLanBearing SlamPercept::wlanBearing

| Definition at line 119 of file SlamPercept.h.

double SlamPercept::GPVal

| Definition at line 121 of file SlamPercept.h.

PositionElement SlamPercept::testPoints[4]

| Definition at line 136 of file SlamPercept.h.

bool SlamPercept::testPointsMeasured

| Definition at line 137 of file SlamPercept.h.

SelfLocatorLearnMode SlamPercept::slLearnMode

| Definition at line 138 of file SlamPercept.h.

Vector3<double> SlamPercept::currentMeasurement

| Definition at line 141 of file SlamPercept.h.

The documentation for this class was generated from the following file:

- Representations/Perception/SlamPercept.h